%define name    dillo
%define version 0.7.3
%define release 1mdk

Summary: 	GTK+ based web browser
Name: 		%{name}
Version: 	%{version}
Release: 	%{release}
Source: 	%{name}-%{version}.tar.bz2
URL: 		http://www.dillo.org/
License: 	GPL
Group: 		Networking/WWW
BuildRoot: 	%{_tmppath}/%{name}-buildroot
Buildrequires:  libgtk+-devel libjpeg-devel libpng-devel zlib-devel


%description
Dillo is a Web browser that's completely written in C, very fast, and small in
code base and binary (less than 300 kb). It is a graphical browser built upon
GTK+ and currently renders a subset of HTML (no frames, no JavaScript, and 
no JVM).

%prep

%setup 

%configure --prefix=/usr

%build

%install

%makeinstall_std transform=""

mkdir -p $RPM_BUILD_ROOT%_sysconfdir
install -m 644 dillorc $RPM_BUILD_ROOT%_sysconfdir/

(cd $RPM_BUILD_ROOT
mkdir -p ./usr/lib/menu
cat > ./usr/lib/menu/%{name} <<EOF
?package(%{name}):\
command="/usr/bin/dillo"\
title="Dillo"\
longtitle="A simple web browser"\
needs="x11"\
icon="networking_www_section.png"\
section="Networking/WWW"
EOF
)

%post
%{update_menus}

%postun
%{clean_menus}
 
%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc AUTHORS COPYING ChangeLog* INSTALL NEWS README
%{_bindir}/*
%{_menudir}/*
%config(noreplace) %_sysconfdir/dillorc

%changelog
* Thu Aug 21 2003 Lenny Cartier <lenny@mandrakesoft.com> 0.7.3-1mdk
- 0.7.3

* Mon Jun 23 2003 Lenny Cartier <lenny@mandrakesoft.com> 0.7.2-2mdk
- use makeinstall_std transform="" (thx Torstein Dybdahl)

* Tue May 06 2003 Lenny Cartier <lenny@mandrakesoft.com> 0.7.2-1mdk
- 0.7.2

* Mon Mar 24 2003 Lenny Cartier <lenny@mandrakesoft.com> 0.7.1.2-1mdk
- 0.7.1.2

* Mon Feb 17 2003 Franois Pons <fpons@mandrakesoft.com> 0.7.0-1mdk
- 0.7.0.

* Fri Jul 19 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.6.6-2mdk
- adjust buildrequires (Ed Avis)

* Mon Jul 08 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.6.6-1mdk
- 0.6.6
- new url

* Mon May 13 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.6.5-2mdk
- /etc/dillorc

* Tue Apr 30 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.6.5-1mdk
- 0.6.5

* Mon Jan 21 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.6.3-1mdk
- 0.6.3

* Sat Jan 19 2002 Laurent MONTEL <lmontel@mandrakesoft.com> 0.6.2-3mdk
- Fix menu entry

* Wed Dec 05 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.6.2-2mdk
- updated desc.

* Thu Oct 18 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.6.2-1mdk
- 0.6.2

* Mon Oct 15 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.6.1-2mdk
- rebuild against new libpng

* Thu Sep 27 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.6.1-1mdk
- 0.6.1

* Sun Aug 26 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.6.0-1mdk
- updated to 0.6.0

* Mon Jul 02 2001 Lenny Cartier <lenny@mandrakesoft.com> 0.5.1-1mdk
- updated to 0.5.1

* Tue Mar 20 2001 Lenny Cartier <lenny@mandrakesoft.com>  0.3.2-3mdk
- rebuild

* Fri Feb 23 2001 Lenny Cartier <lenny@mandrakesoft.com>  0.3.2-1mdk
- updated to 0.3.2

* Thu Dec 28 2000 Lenny Cartier <lenny@mandrakesoft.com>  0.3.1-1mdk 
- updated to 0.3.1

* Tue Aug 29 2000  Lenny Cartier <lenny@mandrakesoft.com>  0.2.4-1mdk
- menu
- v0.2.4

* Tue Aug 29 2000  Lenny Cartier <lenny@mandrakesoft.com>  0.2.2-3mdk
- BM

* Tue Jul 18 2000 Lenny Cartier <lenny@mandrakesoft.com>  0.2.2-2mdk
- macrozification

* Mon Jun 01 2000 rufus t firefly <rufus.t.firefly@linux-mandrake.com> 0.2.2-1mdk
- initial packaging
